跳至內容

Pixelcut Looping Video

整合

模型 id pixelcut/looping-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixelcut/looping-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $1.60 1,600 API 點數 在此頁面執行

取得 API 金鑰
Pixelcut 圖像轉影片 5–15 秒最高 1080p #image-to-video#looping#e-commerce#product

將商品照片轉換為循環影片片段,從來源圖片開始並結束,加入細微動態或 360° 旋轉

Pixelcut · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 4000

用於創意方向的選用動作指示。相機在所有情況下都保持固定。

•必填 image_url
拖放檔案,或

開頭與結尾影片影格所用的來源圖像,格式為 JPEG、PNG 或 WebP。

resolution 預設 1080p

生成輸出的解析度。

預設 5

影片長度,以秒為單位。

進階 motion · include_audio
motion 預設 subtle

選擇動作行為:'spin' 會在完整旋轉 360° 後返回來源影格,而 'subtle' 會加入帶有環境感的輕微動作。

POST /run/pixelcut/looping-video?wait=20 報價 → $1.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixelcut/looping-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Pixelcut Looping Video

建立從輸入圖片開始並結束的影片,因此可循環播放。`motion` 可選 subtle,以加入輕柔的環境動態,或 spin,以完整旋轉一圈。時長為 5 至 15 秒,解析度可選 480p、768p 或 1080p,`prompt`(最多 4000 個字元)可選,用於提供指示。除非啟用 `include_audio`,否則循環影片不含聲音。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
開頭與結尾影片影格所用的來源圖像,格式為 JPEG、PNG 或 WebP。
prompt選填
類型string
預設值
≤ 4,000 個字元
用於創意方向的選用動作指示。相機在所有情況下都保持固定。
duration選填
類型integer
預設值5
5 – 15
影片長度,以秒為單位。
resolution選填
類型enum
預設值1080p
480p768p1080p
生成輸出的解析度。
motion選填
類型enum
預設值subtle
subtlespin
選擇動作行為:'spin' 會在完整旋轉 360° 後返回來源影格,而 'subtle' 會加入帶有環境感的輕微動作。
include_audio選填
類型boolean
預設值false
循環影片的音訊保留設定:啟用後會保留生成的音軌;否則預設為靜音循環。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixelcut/looping-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1600,
    "usd": "1.60",
    "charged": 1600,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size} | null開頭與結尾影格符合輸入圖像的 MP4 循環影片。

更多模型:圖像轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/pixelcut/looping-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt